package com.its.vms.entity;

import com.its.vms.dto.TbVmsSymbLibDnldDto;
import io.swagger.annotations.ApiModel;
import lombok.*;

import java.io.Serializable;

/**
 * VMS 심볼 제어기 다운로드 정보 Entity Class
 */
@ApiModel("VMS 심볼 제어기 다운로드 정보")
@Getter
@Builder
@ToString
@NoArgsConstructor//(access = AccessLevel.PROTECTED)
@AllArgsConstructor
public class TbVmsSymbLibDnld implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long vmsCtlrNmbr;
    private Integer dnldSymbLibNmbr;
    private String dnldDt;
    private Integer dnldCnt;
    private Integer symbLibNmbr;
    private String updtDt;

    public TbVmsSymbLibDnldDto toDto() {
        return TbVmsSymbLibDnldDto.builder()
                .vmsCtlrNmbr(this.vmsCtlrNmbr)
                .dnldSymbLibNmbr(this.dnldSymbLibNmbr)
                .dnldDt(this.dnldDt)
                .dnldCnt(this.dnldCnt)
                .symbLibNmbr(this.symbLibNmbr)
                .updtDt(this.updtDt)
                .build();
    }

}
